unit ApeAboutBox;

// The contents of this file are subject to the Mozilla Public License Version
// 1.1 (the "License"); you may not use this file except in compliance with
// the License. You may obtain a copy of the License at
// "http://www.mozilla.org/MPL/"
//
// Software distributed under the License is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
// for the specific language governing rights and limitations under the
// License.
//
// The Original Code is "ApeAboutBox.pas".
// 
// The Initial Developer of the Original Code is Dieter Khler (Heidelberg, 
// Germany, "http://www.philo.de/").
// Portions created by the Initial Developer are Copyright (C) 2002
// Dieter Khler. All Rights Reserved.
// 
// Alternatively, the contents of this file may be used under the terms of
// the GNU General Public License Version 2 or later (the "GPL"), in which 
// case the provisions of the GPL are applicable instead of those above. 
// If you wish to allow use of your version of this file only under the 
// terms of the GPL, and not to allow others to use your version of this 
// file under the terms of the MPL, indicate your decision by deleting the
// provisions above and replace them with the notice and other provisions 
// required by the GPL. If you do not delete the provisions above, a 
// recipient may use your version of this file under the terms of any one 
// of the MPL or the GPL.

interface

uses
  Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, ShellAPI;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    ProductName: TLabel;
    NormalVersionLabel: TLabel;
    Copyright: TLabel;
    Label3: TLabel;
    OKButton: TButton;
    Label1: TLabel;
    Label2: TLabel;
    UrlLabel: TLabel;
    Label4: TLabel;
    GroupBox1: TGroupBox;
    Label5: TLabel;
    DemoVersionLabel: TLabel;
    procedure UrlLabelClick(Sender: TObject);
  private
    function GetDemoMode: Boolean;
    procedure SetDemoMode(const Value: Boolean);
    { Private declarations }
  public
    { Public declarations }
    property DemoMode: Boolean read GetDemoMode write SetDemoMode;
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.dfm}

function TAboutBox.GetDemoMode: Boolean;
begin
  Result := DemoVersionLabel.Visible;
end;

procedure TAboutBox.SetDemoMode(const Value: Boolean);
begin
  DemoVersionLabel.Visible := Value;
  NormalVersionLabel.Visible := not Value;
end;

procedure TAboutBox.UrlLabelClick(Sender: TObject);
var
  TempString: array[0..79] of char;
begin
  StrPCopy(TempString,UrlLAbel.Caption);
  ShellExecute(0,nil,TempString,nil,nil,SW_NORMAL);
end;

end.
 
